<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:50 JST 2014 -->
<TITLE>
Constant Field Values
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Constant Field Values";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?constant-values.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="constant-values.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Constant Field Values</H1>
</CENTER>
<HR SIZE="4" NOSHADE>
<B>Contents</B><UL>
<LI><A HREF="#org.apache">org.apache.*</A>
</UL>

<A NAME="org.apache"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left"><FONT SIZE="+2">
org.apache.*</FONT></TH>
</TR>
</TABLE>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper">KeeperException.CodeDeprecated</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.APIError"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#APIError">APIError</A></CODE></TD>
<TD ALIGN="right"><CODE>-100</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.AuthFailed"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#AuthFailed">AuthFailed</A></CODE></TD>
<TD ALIGN="right"><CODE>-115</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.BadArguments"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadArguments">BadArguments</A></CODE></TD>
<TD ALIGN="right"><CODE>-8</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.BadVersion"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadVersion">BadVersion</A></CODE></TD>
<TD ALIGN="right"><CODE>-103</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.ConnectionLoss"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#ConnectionLoss">ConnectionLoss</A></CODE></TD>
<TD ALIGN="right"><CODE>-4</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.DataInconsistency"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#DataInconsistency">DataInconsistency</A></CODE></TD>
<TD ALIGN="right"><CODE>-3</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidACL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidACL">InvalidACL</A></CODE></TD>
<TD ALIGN="right"><CODE>-114</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidCallback"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidCallback">InvalidCallback</A></CODE></TD>
<TD ALIGN="right"><CODE>-113</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.MarshallingError"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#MarshallingError">MarshallingError</A></CODE></TD>
<TD ALIGN="right"><CODE>-5</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.NoAuth"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoAuth">NoAuth</A></CODE></TD>
<TD ALIGN="right"><CODE>-102</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.NoChildrenForEphemerals"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoChildrenForEphemerals">NoChildrenForEphemerals</A></CODE></TD>
<TD ALIGN="right"><CODE>-108</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.NodeExists"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#NodeExists">NodeExists</A></CODE></TD>
<TD ALIGN="right"><CODE>-110</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.NoNode"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoNode">NoNode</A></CODE></TD>
<TD ALIGN="right"><CODE>-101</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.NotEmpty"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#NotEmpty">NotEmpty</A></CODE></TD>
<TD ALIGN="right"><CODE>-111</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.Ok"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#Ok">Ok</A></CODE></TD>
<TD ALIGN="right"><CODE>0</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.OperationTimeout"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#OperationTimeout">OperationTimeout</A></CODE></TD>
<TD ALIGN="right"><CODE>-7</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.RuntimeInconsistency"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#RuntimeInconsistency">RuntimeInconsistency</A></CODE></TD>
<TD ALIGN="right"><CODE>-2</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.SessionExpired"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#SessionExpired">SessionExpired</A></CODE></TD>
<TD ALIGN="right"><CODE>-112</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.SystemError"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#SystemError">SystemError</A></CODE></TD>
<TD ALIGN="right"><CODE>-1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.KeeperException.CodeDeprecated.Unimplemented"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/KeeperException.CodeDeprecated.html#Unimplemented">Unimplemented</A></CODE></TD>
<TD ALIGN="right"><CODE>-6</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/Quotas.html" title="class in org.apache.zookeeper">Quotas</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Quotas.limitNode"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Quotas.html#limitNode">limitNode</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper_limits"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Quotas.procZookeeper"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Quotas.html#procZookeeper">procZookeeper</A></CODE></TD>
<TD ALIGN="right"><CODE>"/zookeeper"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Quotas.quotaZookeeper"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Quotas.html#quotaZookeeper">quotaZookeeper</A></CODE></TD>
<TD ALIGN="right"><CODE>"/zookeeper/quota"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Quotas.statNode"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Quotas.html#statNode">statNode</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper_stats"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Shell.SET_GROUP_COMMAND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Shell.html#SET_GROUP_COMMAND">SET_GROUP_COMMAND</A></CODE></TD>
<TD ALIGN="right"><CODE>"chgrp"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Shell.SET_OWNER_COMMAND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Shell.html#SET_OWNER_COMMAND">SET_OWNER_COMMAND</A></CODE></TD>
<TD ALIGN="right"><CODE>"chown"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Shell.SET_PERMISSION_COMMAND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Shell.html#SET_PERMISSION_COMMAND">SET_PERMISSION_COMMAND</A></CODE></TD>
<TD ALIGN="right"><CODE>"chmod"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Shell.ULIMIT_COMMAND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Shell.html#ULIMIT_COMMAND">ULIMIT_COMMAND</A></CODE></TD>
<TD ALIGN="right"><CODE>"ulimit"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.Shell.USER_NAME_COMMAND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/Shell.html#USER_NAME_COMMAND">USER_NAME_COMMAND</A></CODE></TD>
<TD ALIGN="right"><CODE>"whoami"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/ZooDefs.OpCode.html" title="interface in org.apache.zookeeper">ZooDefs.OpCode</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.auth"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#auth">auth</A></CODE></TD>
<TD ALIGN="right"><CODE>100</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.check"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#check">check</A></CODE></TD>
<TD ALIGN="right"><CODE>13</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.closeSession"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#closeSession">closeSession</A></CODE></TD>
<TD ALIGN="right"><CODE>-11</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.create"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#create">create</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.createSession"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#createSession">createSession</A></CODE></TD>
<TD ALIGN="right"><CODE>-10</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.delete"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#delete">delete</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.error"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#error">error</A></CODE></TD>
<TD ALIGN="right"><CODE>-1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.exists"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#exists">exists</A></CODE></TD>
<TD ALIGN="right"><CODE>3</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.getACL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#getACL">getACL</A></CODE></TD>
<TD ALIGN="right"><CODE>6</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.getChildren"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#getChildren">getChildren</A></CODE></TD>
<TD ALIGN="right"><CODE>8</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.getChildren2"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#getChildren2">getChildren2</A></CODE></TD>
<TD ALIGN="right"><CODE>12</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.getData"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#getData">getData</A></CODE></TD>
<TD ALIGN="right"><CODE>4</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.multi"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#multi">multi</A></CODE></TD>
<TD ALIGN="right"><CODE>14</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.notification"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#notification">notification</A></CODE></TD>
<TD ALIGN="right"><CODE>0</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.ping"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#ping">ping</A></CODE></TD>
<TD ALIGN="right"><CODE>11</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.sasl"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#sasl">sasl</A></CODE></TD>
<TD ALIGN="right"><CODE>102</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.setACL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#setACL">setACL</A></CODE></TD>
<TD ALIGN="right"><CODE>7</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.setData"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#setData">setData</A></CODE></TD>
<TD ALIGN="right"><CODE>5</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.setWatches"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#setWatches">setWatches</A></CODE></TD>
<TD ALIGN="right"><CODE>101</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.OpCode.sync"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.OpCode.html#sync">sync</A></CODE></TD>
<TD ALIGN="right"><CODE>9</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/ZooDefs.Perms.html" title="interface in org.apache.zookeeper">ZooDefs.Perms</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.ADMIN"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#ADMIN">ADMIN</A></CODE></TD>
<TD ALIGN="right"><CODE>16</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.ALL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#ALL">ALL</A></CODE></TD>
<TD ALIGN="right"><CODE>31</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.CREATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#CREATE">CREATE</A></CODE></TD>
<TD ALIGN="right"><CODE>4</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.DELETE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#DELETE">DELETE</A></CODE></TD>
<TD ALIGN="right"><CODE>8</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.READ"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#READ">READ</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooDefs.Perms.WRITE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooDefs.Perms.html#WRITE">WRITE</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.<A HREF="org/apache/zookeeper/ZooKeeper.html" title="class in org.apache.zookeeper">ZooKeeper</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.ZooKeeper.ZOOKEEPER_CLIENT_CNXN_SOCKET"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/ZooKeeper.html#ZOOKEEPER_CLIENT_CNXN_SOCKET">ZOOKEEPER_CLIENT_CNXN_SOCKET</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.clientCnxnSocket"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.client.<A HREF="org/apache/zookeeper/client/ZooKeeperSaslClient.html" title="class in org.apache.zookeeper.client">ZooKeeperSaslClient</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.client.ZooKeeperSaslClient.ENABLE_CLIENT_SASL_DEFAULT"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/client/ZooKeeperSaslClient.html#ENABLE_CLIENT_SASL_DEFAULT">ENABLE_CLIENT_SASL_DEFAULT</A></CODE></TD>
<TD ALIGN="right"><CODE>"true"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.client.ZooKeeperSaslClient.ENABLE_CLIENT_SASL_KEY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/client/ZooKeeperSaslClient.html#ENABLE_CLIENT_SASL_KEY">ENABLE_CLIENT_SASL_KEY</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.sasl.client"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.client.ZooKeeperSaslClient.LOGIN_CONTEXT_NAME_KEY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/client/ZooKeeperSaslClient.html#LOGIN_CONTEXT_NAME_KEY">LOGIN_CONTEXT_NAME_KEY</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.sasl.clientconfig"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.<A HREF="org/apache/zookeeper/server/ServerCnxnFactory.html" title="class in org.apache.zookeeper.server">ServerCnxnFactory</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ServerCnxnFactory.ZOOKEEPER_SERVER_CNXN_FACTORY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ServerCnxnFactory.html#ZOOKEEPER_SERVER_CNXN_FACTORY">ZOOKEEPER_SERVER_CNXN_FACTORY</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.serverCnxnFactory"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.<A HREF="org/apache/zookeeper/server/ZKDatabase.html" title="class in org.apache.zookeeper.server">ZKDatabase</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZKDatabase.commitLogCount"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZKDatabase.html#commitLogCount">commitLogCount</A></CODE></TD>
<TD ALIGN="right"><CODE>500</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.<A HREF="org/apache/zookeeper/server/ZooKeeperSaslServer.html" title="class in org.apache.zookeeper.server">ZooKeeperSaslServer</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooKeeperSaslServer.DEFAULT_LOGIN_CONTEXT_NAME"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooKeeperSaslServer.html#DEFAULT_LOGIN_CONTEXT_NAME">DEFAULT_LOGIN_CONTEXT_NAME</A></CODE></TD>
<TD ALIGN="right"><CODE>"Server"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooKeeperSaslServer.LOGIN_CONTEXT_NAME_KEY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooKeeperSaslServer.html#LOGIN_CONTEXT_NAME_KEY">LOGIN_CONTEXT_NAME_KEY</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.sasl.serverconfig"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.<A HREF="org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooKeeperServer.DEFAULT_TICK_TIME"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooKeeperServer.html#DEFAULT_TICK_TIME">DEFAULT_TICK_TIME</A></CODE></TD>
<TD ALIGN="right"><CODE>3000</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.<A HREF="org/apache/zookeeper/server/ZooTrace.html" title="class in org.apache.zookeeper.server">ZooTrace</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.CLIENT_DATA_PACKET_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#CLIENT_DATA_PACKET_TRACE_MASK">CLIENT_DATA_PACKET_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>4L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.CLIENT_PING_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#CLIENT_PING_TRACE_MASK">CLIENT_PING_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>8L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.CLIENT_REQUEST_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#CLIENT_REQUEST_TRACE_MASK">CLIENT_REQUEST_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>2L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.EVENT_DELIVERY_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#EVENT_DELIVERY_TRACE_MASK">EVENT_DELIVERY_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>64L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.JMX_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#JMX_TRACE_MASK">JMX_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>512L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.SERVER_PACKET_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#SERVER_PACKET_TRACE_MASK">SERVER_PACKET_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>16L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.SERVER_PING_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#SERVER_PING_TRACE_MASK">SERVER_PING_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>128L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.SESSION_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#SESSION_TRACE_MASK">SESSION_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>32L</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.ZooTrace.WARNING_TRACE_MASK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;long</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/ZooTrace.html#WARNING_TRACE_MASK">WARNING_TRACE_MASK</A></CODE></TD>
<TD ALIGN="right"><CODE>256L</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.quorum.<A HREF="org/apache/zookeeper/server/quorum/FastLeaderElection.Notification.html" title="class in org.apache.zookeeper.server.quorum">FastLeaderElection.Notification</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.FastLeaderElection.Notification.CURRENTVERSION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/FastLeaderElection.Notification.html#CURRENTVERSION">CURRENTVERSION</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.quorum.<A HREF="org/apache/zookeeper/server/quorum/Leader.html" title="class in org.apache.zookeeper.server.quorum">Leader</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.Leader.ACKEPOCH"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/Leader.html#ACKEPOCH">ACKEPOCH</A></CODE></TD>
<TD ALIGN="right"><CODE>18</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.Leader.LEADERINFO"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/Leader.html#LEADERINFO">LEADERINFO</A></CODE></TD>
<TD ALIGN="right"><CODE>17</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.Leader.PROPOSAL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/Leader.html#PROPOSAL">PROPOSAL</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.quorum.<A HREF="org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumPeer.ACCEPTED_EPOCH_FILENAME"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumPeer.html#ACCEPTED_EPOCH_FILENAME">ACCEPTED_EPOCH_FILENAME</A></CODE></TD>
<TD ALIGN="right"><CODE>"acceptedEpoch"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumPeer.CURRENT_EPOCH_FILENAME"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumPeer.html#CURRENT_EPOCH_FILENAME">CURRENT_EPOCH_FILENAME</A></CODE></TD>
<TD ALIGN="right"><CODE>"currentEpoch"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumPeer.SYNC_ENABLED"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumPeer.html#SYNC_ENABLED">SYNC_ENABLED</A></CODE></TD>
<TD ALIGN="right"><CODE>"zookeeper.observer.syncEnabled"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumPeer.UPDATING_EPOCH_FILENAME"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumPeer.html#UPDATING_EPOCH_FILENAME">UPDATING_EPOCH_FILENAME</A></CODE></TD>
<TD ALIGN="right"><CODE>"updatingEpoch"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="3">org.apache.zookeeper.server.quorum.<A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html" title="interface in org.apache.zookeeper.server.quorum">QuorumStats.Provider</A></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumStats.Provider.FOLLOWING_STATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html#FOLLOWING_STATE">FOLLOWING_STATE</A></CODE></TD>
<TD ALIGN="right"><CODE>"following"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumStats.Provider.LEADING_STATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html#LEADING_STATE">LEADING_STATE</A></CODE></TD>
<TD ALIGN="right"><CODE>"leading"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumStats.Provider.LOOKING_STATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html#LOOKING_STATE">LOOKING_STATE</A></CODE></TD>
<TD ALIGN="right"><CODE>"leaderelection"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumStats.Provider.OBSERVING_STATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html#OBSERVING_STATE">OBSERVING_STATE</A></CODE></TD>
<TD ALIGN="right"><CODE>"observing"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.apache.zookeeper.server.quorum.QuorumStats.Provider.UNKNOWN_STATE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;java.lang.String</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/apache/zookeeper/server/quorum/QuorumStats.Provider.html#UNKNOWN_STATE">UNKNOWN_STATE</A></CODE></TD>
<TD ALIGN="right"><CODE>"unknown"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?constant-values.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="constant-values.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
